package com.gic.haoban.manage.api.dto.licence;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public class LicenceOrderPageDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单类型，1：购买帐号，2：续期帐号
     */
    private Integer orderType;

    /**
     * 互通帐号个数
     */
    private Integer externalContactCount;

    /**
     * 基础帐号个数
     */
    private Integer baseCount;

    /**
     * 订单金额，单位分
     */
    private Integer price;

    /**
     * 购买时间类型 1：按月购买，2：按天购买
     */
    private Integer timeType;

    /**
     * 购买的时间数值
     */
    private Integer timeValue;

    /**
     * 支付类型 1在线支付 2对公转账
     */
    private Integer payType;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 订单状态，0：待支付，1：已支付，2：已取消，3：已过期，4：已退款，5：审核中
     */
    private Integer orderStatus;

    /**
     * 订单状态更改原因
     */
    private String orderStatusReason;

    /**
     * 支付时间 支付类型为1：微信支付时间 2：审核确认通过的时间
     */
    private Date payTime;

    /**
     * 企业微信订单id
     */
    private String qywxOrderId;

    /**
     * 企业微信订单状态，0：待支付，1：已支付，2：已取消，3：已过期，4：退款中，5：退款被拒绝，6：已退款，7已失效
     */
    private Integer qywxOrderStatus;

    /**
     * 企业微信订单更改原因
     */
    private String qywxOrderStatusReason;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建人
     */
    private String creatorId;

    /**
     * 创建人名称
     */
    private String creatorName;
    /**
     * 到期时间
     */
    private Date expireTime;
    /**
     * 企业微信支付时间
     */
    private Date qywxPayTime;
    /**
     * gic商户Id
     */
    private String enterpriseId;
    /**
     * gic品牌名称
     */
    private String enterpriseName;
    /**
     * wx企业Id
     */
    private String wxEnterpriseId;
    /**
     * 微信商户名称
     */
    private String wxEnterpriseName;
    /**
     * 微信订单id
     */
    private String wxOrderId;

    public String getWxOrderId() {
        return wxOrderId;
    }

    public void setWxOrderId(String wxOrderId) {
        this.wxOrderId = wxOrderId;
    }

    public Date getQywxPayTime() {
        return qywxPayTime;
    }

    public void setQywxPayTime(Date qywxPayTime) {
        this.qywxPayTime = qywxPayTime;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseName() {
        return wxEnterpriseName;
    }

    public void setWxEnterpriseName(String wxEnterpriseName) {
        this.wxEnterpriseName = wxEnterpriseName;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getExternalContactCount() {
        return externalContactCount;
    }

    public void setExternalContactCount(Integer externalContactCount) {
        this.externalContactCount = externalContactCount;
    }

    public Integer getBaseCount() {
        return baseCount;
    }

    public void setBaseCount(Integer baseCount) {
        this.baseCount = baseCount;
    }

    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public Integer getTimeType() {
        return timeType;
    }

    public void setTimeType(Integer timeType) {
        this.timeType = timeType;
    }

    public Integer getTimeValue() {
        return timeValue;
    }

    public void setTimeValue(Integer timeValue) {
        this.timeValue = timeValue;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getOrderStatusReason() {
        return orderStatusReason;
    }

    public void setOrderStatusReason(String orderStatusReason) {
        this.orderStatusReason = orderStatusReason;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getQywxOrderId() {
        return qywxOrderId;
    }

    public void setQywxOrderId(String qywxOrderId) {
        this.qywxOrderId = qywxOrderId;
    }

    public Integer getQywxOrderStatus() {
        return qywxOrderStatus;
    }

    public void setQywxOrderStatus(Integer qywxOrderStatus) {
        this.qywxOrderStatus = qywxOrderStatus;
    }

    public String getQywxOrderStatusReason() {
        return qywxOrderStatusReason;
    }

    public void setQywxOrderStatusReason(String qywxOrderStatusReason) {
        this.qywxOrderStatusReason = qywxOrderStatusReason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }
}
